哎呀吆博客

大前端爱好与探索者-Jerry

LAMP环境下升级WordPress要求输入FTP账号问题

WordPress 2 评

本以为在经历万般坎坷部署完LAMP环境(关于LAMP的环境部署在上一篇文章《LAMP简单快速部署》已经花大量篇幅做了相关的阐述,这里不再做以解释。)之后搭建网站会是件轻而易举的事情,但在安装WordPress仍会遇到各式各样让我这种小白不知如何下手去解决的问题,然而最要命的是碰到一些问题不知道用什么关键词在网上找寻答案,这种问题不少,接下来我就其中一个花费我最长时间的问题进行解答了。
问题背景:
部署完LAMP环境之后,我就迫不及待的开始安装搭建WordPress了,在WordPress升级以及安装主题甚至插件的时候告诉需要输入FTP账号和密码!!!WAMP我想想倒是还有些门道,但此时此刻,面对着命令行窗口我只能一脸的懵逼,没辙我只能求助于网上的大神们,在不知道找了多少方法,尝试了多少方案之后,终于让我给碰着了!

1.查看httpd进程是哪个用户启用的

ps -ef|grep httpd
通常可以看到启用用户为apache。

2.找到WordPress安装路径

cd /var/www/html # Apache不同安装方式,该路径可能会有不同
[root@iZqv063pagbrsnZ html]# ls
aiyayao phpmyadmin # 我的web根目录下的两个文件夹,我将wordpress改成了aiyayao

3.修改aiyayao(原wordpress目录)整个文件夹的属性和属组为apache

chown -R apache.apache aiyayao/

4.查看更改后的结果

[root@iZqv063pagbrsnZ html] # ll
total 8
drwxr-xr-x 6 apache apache 4096 Mar 6 23:33 aiyayao  # 这里可以看到已经更改了过来
drwxr-xr-x 9 root root 4096 Mar 5 21:53 phpmyadmin

此时再进WordPress后台我们可以看见升级版本以及安装主题就不再需要FTP账号了,过程虽简单,但难在如何更快更直接的找到这个解决方案。

上一篇

2条回应:“LAMP环境下升级WordPress要求输入FTP账号问题”

  1. ed说道:

    按照这个流程做了,,网站打不开了,,为什么?

发表评论

电子邮件地址不会被公开。 必填项已用*标注